/*-------------------------------------------------------------------------------------------------\
| IMU 1b Microcontroller Firmware
|
| File:					IMUC.H			Header File
|
| Global Routines:	None
|
| Local Routines:		None
\-------------------------------------------------------------------------------------------------*/


//-------------------------------------------------------------------------------------------------
//  Global #defines
//-------------------------------------------------------------------------------------------------

#define	TRUE	1
#define	FALSE	0

#define	SERIALQLENGTH	69			// Length of Serial bus message queue in bytes: index is 0 - 68
#define	SAMPLELENGTH	7			// Number of samples to take
#define	RXQLENGTH		20			// Length of the Received Command bytes queue in bytes: 0 - 19

//-------------------------------------------------------------------------------------------------
//  Global Function Declarations
//-------------------------------------------------------------------------------------------------

	void	interrupt	ISR					(void);		// Note that "interrupt" is a PICC keyword for the ISR
	void					Initialize			(void);
	
//-------------------------------------------------------------------------------------------------
//  Global Variables Declarations
//-------------------------------------------------------------------------------------------------

	// For comments on these variables, see Global Variable Declarations in IMUC.C
	
	extern	bank1	bit				FlgPowerUp;
	extern	bank1	bit				FlgSampleDone;
	extern	bank1	bit				FlgRecvdCmd;
	extern	bank1	bit				FlgSendSamples;
		
	extern	bank1	char				SystemError;

	extern	bank1	char				SampleMask;
	extern	bank1	char				MasterSampleMask;
	extern	bank1	char				LPFMask;
	extern	bank1	char				MasterLPFMask;
	extern	bank1 char				SendMask;

	extern	bank1	unsigned	int	CRC;
	
	extern	bank1	char				TimeStampL;
	extern	bank1	unsigned long	TimeStampH;
	extern	bank1	unsigned long	TimeCnt;

	extern	bank1	char				SendSamplesCnt;
	
	extern	bank1	unsigned long	Y[];
	
	extern	bank1	unsigned	int	Sample[];

	extern	bank1	char				SerialQOut;
	extern	bank1	char				SerialQIn;

	extern   bank2	char  			SerialQueue[];

	extern	bank3	char				RxQPtr;
	extern	bank3	char				RxQueue[];
	
//-------------------------------------------------------------------------------------------------
//  Define Macros
//-------------------------------------------------------------------------------------------------

// None

	
